LibreOffice: XPasswordContainer2 Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
XPasswordContainer2 Interface Referencepublished

Provides a unified interface for the PasswordContainer service to implement. More...

`import <XPasswordContainer2.idl;`

Inheritance diagram for XPasswordContainer2:

## Exported Interfaces
interface | com::sun::star::task::XPasswordContainer
| handles passwords
interface | com::sun::star::task::XMasterPasswordHandling2
| handles passwords
interface | com::sun::star::task::XUrlContainer

## Additional Inherited Members
Public Member Functions inherited from XPasswordContainer
void | add ([in] string Url, [in] string UserName, [in] sequence< string > Passwords, [in] XInteractionHandler Handler)
| Save passwords into the container.
void | addPersistent ([in] string Url, [in] string UserName, [in] sequence< string > Passwords, [in] XInteractionHandler Handler)
| Save passwords into the container, and store them in the file.
UrlRecord | find ([in] string Url, [in] XInteractionHandler Handler)
| Find users with passwords for the url pattern.
UrlRecord | findForName ([in] string Url, [in] string UserName, [in] XInteractionHandler Handler)
| Find passwords for the url pattern and username.
void | remove ([in] string Url, [in] string UserName)
| Remove passwords for the url pattern and username.
void | removePersistent ([in] string Url, [in] string UserName)
| Remove passwords for the url pattern and username from the file.
void | removeAllPersistent ()
| Clean the file.
sequence< UrlRecord > | getAllPersistent ([in] XInteractionHandler Handler)
| Get all records from the file.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XMasterPasswordHandling2
boolean | useDefaultMasterPassword ([in] XInteractionHandler xHandler)
| allows to let the default password be used
boolean | isDefaultMasterPasswordUsed ()
| allows to detect whether the default master password is used
Public Member Functions inherited from XMasterPasswordHandling
boolean | authorizateWithMasterPassword ([in] XInteractionHandler xHandler)
| allows to check the user authorization.
boolean | changeMasterPassword ([in] XInteractionHandler xHandler)
| allows to change the master password.
void | removeMasterPassword ()
| let the master password and all the related stored passwords be removed.
boolean | hasMasterPassword ()
| allows to detect whether there is already a master password
boolean | allowPersistentStoring ([in] boolean bAllow)
| allows to specify whether persistent storing of passwords is allowed
boolean | isPersistentStoringAllowed ()
| allows to detect whether persistent storing of passwords is allowed
Public Member Functions inherited from XUrlContainer
void | addUrl ([in] string Url, [in] boolean MakePersistent)
| Add a URL to the container.
string | findUrl ([in] string Url)
| Lookup a URL in the container.
void | removeUrl ([in] string Url)
| Remove a URL from the container.
sequence< string > | getUrls ([in] boolean OnlyPersistent)
| Get all URLs.

## Detailed Description

Provides a unified interface for the PasswordContainer service to implement.

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ com::sun::star::task::XMasterPasswordHandling2

interface com::sun::star::task::XMasterPasswordHandling2

handles passwords

Use this interface to store or retrieve passwords.

## ◆ com::sun::star::task::XPasswordContainer

interface com::sun::star::task::XPasswordContainer

handles passwords

Use this interface to store or retrieve passwords.

## ◆ com::sun::star::task::XUrlContainer

interface com::sun::star::task::XUrlContainer

The documentation for this interface was generated from the following file:

- com/sun/star/task/XPasswordContainer2.idl